PROGRAM VideoDemo;

{
Demonstration of IBM Monochrome Display control under Turbo Pascal
version 2.0.

Source: "Special Effects With A Monochrome Board", TUG Lines Volume I Issue 5
Author: Don Taylor
Date:   1/14/85
Last revised: 1/14/85  20:45
Application: IBM PC and true compatibles
}

VAR
 Attribute : BYTE ABSOLUTE DSEG:$0155;  {For Turbo version 2.0}

{--------------------}

PROCEDURE Reverse;

BEGIN
 Attribute := Attribute AND $F8;
 Attribute := Attribute OR  $70
END; {Reverse}

{--------------------}

PROCEDURE Blink;

BEGIN
 Attribute := Attribute OR $80
END; {Blink}
{--------------------}

PROCEDURE UnBlink;

BEGIN
 Attribute := Attribute AND $7F
END; {UnBlink}

{--------------------}

PROCEDURE UnderLine;

BEGIN
 Attribute := Attribute AND $80;
 Attribute := Attribute OR  $09
END; {UnderLine}

{--------------------}

PROCEDURE HiInt;

BEGIN
 Attribute := Attribute OR $08
END; {HiInt}

{--------------------}

PROCEDURE LoInt;

BEGIN
 Attribute := Attribute AND $F7
END; {LoInt}

{====================}

BEGIN {VideoDemo}
 WRITELN('                 IBM Monochrome Display Demonstration');
 WRITELN;   WRITELN;
 HiInt;     WRITELN('This is high-intensity, normal video.');
 Reverse;   WRITELN('This is high-intensity, reverse video.');
 LoInt;     WRITELN('This is low-intensity, reverse video.');
 Blink;     WRITELN('This is low-intensity, reverse blinking video.');
 UnBlink;   WRITELN('This is low-intensity, reverse non-blinking video.');
 NormVideo; WRITELN('This is normal, high-intensity video.');
 Blink;     WRITELN('This is high-intensity, blinking video.');
 LoInt;     WRITELN('This is low-intensity, blinking video.');
 UnBlink;
 UnderLine; WRITELN('This is high-intensity, underlined video.');
 LoInt;     WRITELN('This is low-intensity, underlined video.')
END. {VideoDemo}