PROGRAM CLONE;

{
Utility program for creating an extra copy of any text file on either
drive, while never leaving Turbo Pascal. Easier for beginners to use than PIP!

Source: "Four Lifesaving Utilities for CP/M", TUG Lines Volume I Issue 4
Author: Kirby Pressly/2011 Willowbend/Wharton, TX 77448/
Application: CP/M-80 (can also be used with PC-DOS, MS-DOS)
}

VAR
  OLDFILEVAR ,NEWFILEVAR:        TEXT;
  OLDFILENAME,NEWFILENAME: STRING[14];
  LINE:                    STRING[80];
  BEGIN                  (* DRIVE: IS OPTIONAL IF DEFAULT DRIVE IS OK      *)
    CLRSCR;
    WRITE('ENTER  DRIVE:OLDFILENAME.EXTENT  >>=> '); READLN(OLDFILENAME) ;
    WRITELN;
    WRITE('ENTER  DRIVE:NEWFILENAME.EXTENT  >>=> '); READLN(NEWFILENAME) ;
    ASSIGN(OLDFILEVAR,OLDFILENAME);    ASSIGN(NEWFILEVAR,NEWFILENAME);
    RESET(OLDFILEVAR);
    REWRITE(NEWFILEVAR);  (* ERASES ANY EXISTING FILE BY THAT NAME AND *)
    WHILE NOT EOF(OLDFILEVAR) DO  (* SETS UP A NEW ONE                 *)
      BEGIN
         READLN(OLDFILEVAR,LINE);
         WRITELN(NEWFILEVAR,LINE);
      END;  CLOSE(NEWFILEVAR);
  END.