PROGRAM RENAME;

{
Utility program to rename a file without leaving Turbo Pascal. User is prompted for
file names, making it easier to use than the CP/M ren command!

Source: "Four Lifesaving Utilities for CP/M", TUG Lines Volume I Issue 4
Author: Kirby Pressly/2011 Willowbend/Wharton, TX 77448/
Application: CP/M-80 (can also be used under PC-DOS, MS-DOS)
}

  VAR
  OLDFILEVAR:                    TEXT;
  OLDFILENAME,NEWFILENAME: STRING[14];
  BEGIN                  (* DRIVE: IS OPTIONAL IF DEFAULT DRIVE IS OK      *)
    CLRSCR;
    WRITE('ENTER  DRIVE:OLDFILENAME.EXTENT  >>=> '); READLN(OLDFILENAME) ;
    WRITELN;
    WRITE('ENTER  DRIVE:NEWFILENAME.EXTENT  >>=> '); READLN(NEWFILENAME) ;
    ASSIGN(OLDFILEVAR,OLDFILENAME);
    RENAME(OLDFILEVAR,NEWFILENAME);
    WRITELN('OK');
  END.